> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/maps-and-imagery-portfolio/os-mastermap-topography-layer/os-mastermap-topography-layer-technical-specification/complex-attributes/changehistorytype.md).

# ChangeHistoryType

Information about the change history of a feature that comprises the reason for the change (reasonForChange attribute) and the date for this change (changeDate attribute). Each feature may have numerous change history records and these are ordered chronologically in the attribute. This attribute is present in all six feature types.

## reasonForChange

The reason for a change made to a feature. Forms part of the feature’s complex attribute, changeHistory.

* **Attribute Name:** reasonForChange
* **Type:** String
* **Multiplicity:** \[1]

## changeDate

The date a change was made to the feature by an editor. Forms part of the feature’s complex attribute, changeHistory.

{% hint style="info" %}
This may not match the versionDate attribute.
{% endhint %}

* **Attribute Name:** changeDate
* **Type:** String
* **Multiplicity:** \[1]


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.os.uk/os-downloads/products/maps-and-imagery-portfolio/os-mastermap-topography-layer/os-mastermap-topography-layer-technical-specification/complex-attributes/changehistorytype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
